
Registration Check UAT - Bug #12282

Android – QC1240 – Inputter – ADD New Signer

06 October 2021 03:43 PM - Jimmy Phang

Status: Resolved Start date: 06 October 2021

Priority: Normal Due date:  

Assignee: Jimmy Phang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Issue #1: when customer selected check box : “Copy from inputter”. Please only AUTO POPULATE fields as below:

- Name

- ktp

- email address

- mobile no

Issue #2: Add New Signer screen

- Please add CAPCHA on Add New Signer screen.

Issue #3: Add New Signer screen

- When check box: “Copy from inputter details” is checked, and Mandatory (Name, Ktp, email address & mobile no) are auto

populated. Please enable ADD SIGNER button.

- Please greyout (disable) the ADD SIGNER button when Mandatory (Name, Ktp, email address & mobile no) are not being

autopopulated or being inputted.

Issue #4: Not allow to add existing signer. Please cater message description while BE response <Status message> to FE.

EN:

- Title: Error (Please cater)

- Description: Signer with this email address/ mobile number already exist on the list (BE response in <Status message>)

ID:

- Title: Error (Please cater)

- Description: Signer dengan alamat email/nomor telepon ini sudah ada di list (BE response in <Status message>)

Issue #6 & 7: Please display popup (discard changes) when clicking back button or clicking DSIACARD CHANGES button.

- After clicking Edit button, turn to EDIT screen, for the top left BACK button & the bottom DISCARD CHANGE button. Please call

AddDeleteSignerData by passing action=DISCARD to BE.

- Popup message:

- Title: DICARD CHANGES

- Description: Are you sure you want to discard all the changes that you’ve made?

Android - Issue #8: Registration Check screen - Click Cancel Registration – display popup message

- Title: CANCEL REGISTRATION

- Description: Are you sure that you would like to cancel this registration?

Data to use:

003 - Inputter (Pending Revision)

BVREG00000000000085

Acc Name: NAMA1 10810000173

KTP ID: 3171075511910004

email: tia.merlani@ocbcnisp.com

Mobile: 081180104881

REVjyhJvStLWfEj

History

#1 - 07 October 2021 01:32 PM - Jimmy Phang

Please help to update below:

1. Signer Detail screen: Signer Document naming of the file. Please map with filename.

2. Edit screen: Name field needs to be renamed --> Name (as ID)
3. Document Details: Signer Document naming of the file. Please map with filename.

4. Edit screen: Popup missing - Please call AddDeleteSignerData; seND action=DISCARD to BE.

- Title DISCARD CHANGES

- Description: Are you sure you want to discard all the changes that you've made?

#2 - 08 October 2021 02:48 PM - Jimmy Phang

- Status changed from New to Resolved

- Assignee changed from sengloong.khoo sengloong.khoo to Jimmy Phang

Tested good.

#3 - 12 October 2021 06:21 PM - Jimmy Phang

- Status changed from Resolved to Assigned

- Assignee changed from Jimmy Phang to sengloong.khoo sengloong.khoo

Please help to cater for error code. MCB.00000055 with below info:

EN:

- Title: Error (Please cater)

- Description: Signer with this email address/ mobile number already exist on the list (BE response in <Status message>)

ID:

- Title: Error (Please cater)

- Description: Signer dengan alamat email/nomor telepon ini sudah ada di list (BE response in <Status message>)

#4 - 22 October 2021 09:32 AM - Jimmy Phang

- Status changed from Assigned to Resolved

- Assignee changed from sengloong.khoo sengloong.khoo to Jimmy Phang

Tested good
